This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468496 - ACPI on HP 2133 seems not recognize end of battery life
ACPI on HP 2133 seems not recognize end of battery life
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 04:41 EDT by Lebenskuenstler
Modified: 2009-12-18 01:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lebenskuenstler 2008-10-25 04:41:19 EDT
Description of problem:

Running my HP 2133 on battery ACPI does not recognize if battery life ends.

Version-Release number of selected component (if applicable):


How reproducible:
every time, if you let HP 2133 draw the last reserve of its battery

Actual results:
HP 2133 just goes off

Expected results:
that ACPI according to settings in energy setting would shutdown/hibernate HP 2133 when reaching critical battery level
Comment 1 Patrice Dumas 2008-10-25 06:29:15 EDT
acpi is a command line application that display the acpi status. Your issue
is certainly linked with something else. What desktop do you use? What 
is exactly the 'ACPI' you are referring to? What application is associated 
with 'energy setting'?
Comment 2 Lebenskuenstler 2008-10-25 09:01:21 EDT
Hi Patrice,

sorry, if my initial report was too inprecise. I am using GNOME.If you go System -> Prerefences -> System -> Power Management you can define, what the system should do if battery life runs out. This is feature is not workig. I thought ACPI would supervise the battery status ...
Comment 3 Patrice Dumas 2008-10-25 09:08:03 EDT
Resetting component to gnome-power-manager.
Comment 4 Lebenskuenstler 2008-11-06 19:17:23 EST
Seems to be fixed with Kernel 2.6.27.4-79. Changing status to closed.
Comment 5 Lebenskuenstler 2009-02-23 11:44:48 EST
Pitfuly have to reopen the bug.

Issue remains with latest kernel in F10, also with test kernel 2.6.29-06.rc3.fc10.i386 from koji.

There seem to be no events /dev/input/ or /etc/hal/fdi/policy for the HP to be definied.
Comment 6 Lebenskuenstler 2009-03-03 02:45:59 EST
A workaround for the HP 2133:


Open as user gconf-editor. 

It is sufficient to unckeck

/apps/gnome-power-manager/general/use_profile_time

Now gnome-power-manager executes the configured action when reaching critical battery life (default is set 2% of remaining battery, may be changed at /apps/gnome-power-manager/thresholds).
Comment 7 Bug Zapper 2009-06-09 05:49:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Richard Hughes 2009-08-20 07:38:59 EDT
Still happens with F11?
Comment 9 Lebenskuenstler 2009-08-21 05:26:10 EDT
Yes, still in F11. Tje workaround still works. I think this HP's ACPI fault.
Comment 10 Bug Zapper 2009-11-18 03:38:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:38:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.